<?php

namespace AppBundle\Repository;

/**
 * s_stagesRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class s_stagesRepository extends \Doctrine\ORM\EntityRepository {

    public function GetObjectif2($stage, $id) {
        try {
            $query = $this->getEntityManager()->getRepository('AppBundle:SObjniv1')->findBy(array('stage' => $stage));
            $result = "<option value =''>Choix objectif 1 ...</option>";
            foreach ($query as $key => $value) {
                $selected = ($id == $value->getId()) ? "selected='selected'" : '';
                $result .= "<option $selected value='" . $value->getId() . "'>" . $value->getDesignation() . "</option>";
            }
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
    
    
    
    
    
       public function GetStages($stage, $id) {
        try {
            $query = $this->getEntityManager()->getRepository('AppBundle:SGroupStage')->find($id);
            $promotion = $this->getEntityManager()->getRepository('AppBundle:AcPromotion')->findBy(array('formation' => $query->getFormation()));
            $stage = $this->getEntityManager()->getRepository('AppBundle:s_stage')->findBy(array('promotion' => $promotion));
            
            if($query->getStage())
                {
                 foreach ($stage as $key => $value) {
                    $selected="";
                      foreach ($query->getStage() as $key1 => $value1) {
                          
                          if($stage->getId()==$value1->getId())
                              {
                              $selected="selected='selected'";
                            
                              }
                              
                              
                      }
                    
                      
                 $result .= "<option $selected value='" . $value->getId() . "'>" . $value->getDesignation() . "</option>"; 
                     
                 }
                
                }
            
            
            
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
    
    
    
    
    
    
    
    
    
    
      public function GetObjectif3($id) {
        try {
            $obj = $this->getEntityManager()->getRepository('AppBundle:SObjniv1')->findBy(array('id' => $id));
            //$obj = $em->getRepository('AppBundle:SObjniv1')->findBy(array('id' => $id));
            $query = $this->getEntityManager()->getRepository('AppBundle:SObjniv2')->findBy(array('objNiv1' => $obj));
            $result = "<option value =''>Choix objectif 2 ...</option>";
            foreach ($query as $key => $value) {
                $selected = ($id == $value->getId()) ? "selected='selected'" : '';
                $result .= "<option $selected value='" . $value->getId() . "'>" . $value->getDesignation() . "</option>";
            }
            return $result;
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }

}
